> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List file grants



## OpenAPI

````yaml /openapi/vued-public-api.yaml get /orgs/{org_id}/files/{file_id}/grants
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/files/{file_id}/grants:
    get:
      tags:
        - Files
      summary: List file grants
      operationId: listFileGrants
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - $ref: '#/components/parameters/FileId'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: File grant page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileGrantPage'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    FileId:
      name: file_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 50
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
  schemas:
    FileGrantPage:
      allOf:
        - $ref: '#/components/schemas/Page'
        - type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/FileGrant'
    Page:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items: {}
        next_cursor:
          type:
            - string
            - 'null'
    FileGrant:
      type: object
      properties:
        file_id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        created_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````